Subject: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Visuwesh <[email-masked]>
Date: Wed, 13 Jul 2022 16:33:25 +0530

[Wednesday July 13, 2022] Lars Ingebrigtsen wrote:

> Visuwesh <[email-masked]> writes:
>
>> It is expected.  mouse-2 (and other mouse yank commands) were recently
>> changed to respect delete-selection-mode (which is enabled by cua-mode)
>> by yours truly.  :-)
>
> That wasn't really the intention of the change, I think?  It was so that
> if you paste text from a different program into a selected area in
> Emacs, then that area would be deleted first, or do I misremember?

AFAICT, the recipe produces what I had in my mind when I proposed.  The
behaviour might seems slightly odd since mouse-yank-at-point is set to
nil in OP's case.  It shouldn't be hard to take this defcustom into
account tho.